New Search

PostMessage Function Vulnerability

oval:org.mitre.oval:def:14217

win32k.sys in the kernel-mode drivers in Microsoft Windows XP SP2 and SP3 Windows Server 2003 SP2 Windows Vista SP2 Windows Server 2008 SP2 R2 and R2 SP1 and Windows 7 Gold and SP1 does not properly handle window messaging which allows local users to gain privileges via a crafted application that calls the PostMessage function aka "PostMessage Function Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows XP
  • Microsoft Windows 7
Class:
vulnerability
Reference(s):
  • CVE-2012-0157
Product(s):